<a name="readme-top"></a>

<div align="center">

  <h3><b>Maths Magicians</b></h3>

</div>

# 📗 Table of Contents

-   [📖 About the Project](#about-project)
    -   [🛠 Built With](#built-with)
        -   [Tech Stack](#tech-stack)
        -   [Key Features](#key-features)
    -   [🚀 Live Demo](#live-demo)
-   [💻 Getting Started](#getting-started)
    -   [Setup](#setup)
    -   [Prerequisites](#prerequisites)
    -   [Install](#install)
    -   [Usage](#usage)
    -   [Run tests](#run-tests)
    -   [Deployment](#triangular_flag_on_post-deployment)
-   [👥 Authors](#authors)
-   [🔭 Future Features](#future-features)
-   [🤝 Contributing](#contributing)
-   [⭐️ Show your support](#support)
-   [🙏 Acknowledgements](#acknowledgements)
-   [📝 License](#license)

<!-- PROJECT DESCRIPTION -->

# 📖 Maths Magician<a name="about-project"></a>

**Maths Magician** 
- "Math magicians" is a website for all fans of mathematics. It is a Single Page App (SPA) that allows users to: Make simple calculations. Read a random math-related quote.

## 🛠 Built With <a name="built-with"></a>

- Major Languages: JavaScript.
- Libraries: React,
- Technologies used: 

``` bash
- create-react-app tool
- Git version control
- ESLint code linting
- StyleLint code linting
- Prettier code formatting
- Babel transpiling
- Webpack bundling
- netlify deployment
```

### Tech Stack <a name="tech-stack"></a>
```md
HTML
CSS
JAVASCRIPT
BOOTSTRAP
```

<!-- Features -->

### Key Features <a name="key-features"></a>

### Future Features <a name="key-features"></a>
- **API Functionality**
- **Events**

<!-- LIVE DEMO -->

## 🚀 Live Demo <a name="live-demo"></a>
[Live Demo](https://math-magician-5re0.onrender.com/)



<p align="right">(<a href="#readme-top">back to top</a>)</p>

Access the the online version of my application with this link

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- GETTING STARTED -->

## 💻 Getting Started <a name="getting-started"></a>
To get a local copy up and running, follow the steps in Setup below.

### Prerequisites
```
Basic knowledge of:
- HTML
- CSS
- JavaScript
- React.
```

### Setup
If you have git installed, you can clone the code to your machine, or download a ZIP of all the files directly.

[Download the ZIP from this location](https://codeload.github.com/atok624/maths_magicians/zip/refs/heads/master), or run the following [git](https://git-scm.com/downloads) command to clone the files to your machine:

```sh
  cd my-folder
  git clone git@github.com:atok624/maths-magician.git
```

<!--
Example:

```sh

```
 -->

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Usage

Run in development mode (Port 3000)

```
  npm run start
```

### Build for production

```
npm run build
```

### Run tests

To run tests, run the following command:
```sh
   npm test
```

### Linter Tests
- ### To check for html errors run:
```sh
  npx hint .
```
- ### To check for css errors run:
```sh
  npx stylelint "**/*.{css,scss}"
```
- ### To check for js errors run:
```sh
  npx eslint "**/*.{js,jsx}"
```



<!-- AUTHORS -->

## 👥 Author <a name="authors"></a>

## 👤Nicholas Kwamena Amissah <a name="authors"></a>

-   GitHub: [Nicholas Amissah](https://github.com/atok624)
-   Twitter: [Nicholas Amissah](https://twitter.com/MysticalAmissah)
-   LinkedIn: [Nicholas Amissah](https://www.linkedin.com/in/nicholas-amissah-153b09154)

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- FUTURE FEATURES -->

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- CONTRIBUTING -->

## 🤝 Contributing <a name="contributing"></a>

Contributions, issues, and feature requests are welcome!
#### Feel free to check the [issues page](https://github.com/atok624/maths_magicians/issues).

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- SUPPORT -->

## ⭐️ Show your support <a name="support"></a>

If you like this project, please give it a star on the main page

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- ACKNOWLEDGEMENTS -->

## 🙏 Acknowledgments <a name="acknowledgements"></a>

I would like to thank the following :

-   [ ] Microverse
-   [ ] All the Patners I've had for Module.

<p align="right">(<a href="#readme-top">back to top</a>)</p>

<!-- LICENSE -->

## 📝 License <a name="license"></a>

This project is [MIT](./MIT.md) licensed.

<p align="right">(<a href="#readme-top">back to top</a>)</p>
